Summary: JRTPLIB is an object-oriented RTP library written in C++
Name: jrtplib
Version: 3.7.1
Release: 17%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://research.edm.uhasselt.be/~jori/page/index.php?n=CS.Jrtplib
Source0: http://research.edm.uhasselt.be/jori/jrtplib/jrtplib-%{version}.tar.bz2
Patch0: jrtplib-3.7.1-memcpy.patch
Patch1: jrtplib-3.7.1-cstdio.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: jthread-devel

%description
JRTPLIB is an object-oriented RTP library written in C++. It was first
developed at the School for Knowledge Technology (or 'School voor
Kennistechnologie' in Dutch), a cooperation between the Hasselt
University) and the Maastricht University.

%package devel
Summary: Development files for JRTPLIB
Group: Development/Libraries
Requires: jrtplib = %{version}-%{release}
Requires: jthread-devel

%description devel
Development files for JThread

%prep
%setup0 -q
%patch0 -p1
%patch1 -p1

%build
# Do not disable building of static libs as that will cause building of
# example programs to fail.
%configure
make %{?_smp_mflags}
doxygen

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/*.a
rm %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE.MIT README.TXT TODO

%{_libdir}/libjrtp-%{version}.so

%files devel
%defattr(-,root,root,-)
%doc LICENSE.MIT documentation

%{_includedir}/jrtplib3
%{_libdir}/libjrtp.so
%{_libdir}/pkgconfig/jrtplib.pc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.7.1-16
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-10
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.1-6
- Add a patch to fix snprintf usage.
- Update the memcpy patch to use <cstring> instead of <string.h>

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.1-4
- Add patch to get compilation with GCC 4.3 working.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.7.1-3
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.1-2
- Bump release and rebuild.

* Sat Jun  9 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.1-1
- Update to 3.7.1

* Thu Feb  8 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.0-1
- Update to 3.7.0

* Sat Aug  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.6.0-1
- Update to 3.6.0

* Sat Jan  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.3.0-1
- Initial build.

